Start Apple link
curl --request GET \
--url https://prod-auth.tktchurch.com/oauth/apple/link \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/oauth/apple/link")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/oauth/apple/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/oauth/apple/link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}Start Apple link
Start Apple link. Requires a Bearer access token for the signed-in user.
GET
/
oauth
/
apple
/
link
Start Apple link
curl --request GET \
--url https://prod-auth.tktchurch.com/oauth/apple/link \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/oauth/apple/link")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/oauth/apple/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/oauth/apple/link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
302 to Apple
